Skip to content

List Templates

GET
/api/v1/workflows/templates
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/workflows/templates \
--header 'X-API-Key: <X-API-Key>'

List available workflow templates.

Returns builtin templates. Enterprise tenants also see their custom templates merged into the result.

category
Any of:
TemplateCategory

Classification of workflow template purpose.

string
Allowed values: operations finance strategy hr marketing

Filter by category

Successful Response

Media typeapplication/json
Response List Templates Api V1 Workflows Templates Get
Array<object>
object
key
additional properties
any
Examplegenerated
[
{}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}